@use 'sass/mixin';
@use 'sass/base';
@use 'sass/size';
@use 'sass/color';

@mixin coordinate-list {
  @include mixin.center-items(stretch);
  flex-flow: column nowrap;
  gap: 0.5 * size.$gap;
  .title {
    margin-bottom: 0.5 * size.$gap;
  }
  .coordinate {
    @include mixin.center-items;
    flex-flow: row nowrap;
    gap: 0.5 * size.$gap;
    .mat-icon {
      cursor: pointer;
    }
    ::ng-deep .mat-form-field-label-wrapper {
      // top: 0;
    }
    ::ng-deep .mat-form-field-wrapper {
      padding: 0 !important;
    }
  }
}

.surface-roughness {
  min-width: 100%;
}

.field-boundaries {
  @include coordinate-list;
}

.substations {
  @include coordinate-list;
}

.restricted-area {
  @include coordinate-list;
  position: relative;
  .delete-icon {
    position: absolute;
    top: 0.5 * size.$gap;
    right: 0.5 * size.$gap;
    cursor: pointer;
  }
}
.add-restricted-area {
  @include mixin.center-items;
  border: 4px dashed rgba(#000, 0.1);
  background-color: color.$card !important;
}

.leaflet {
  width: 100%;
  height: 100%;
  border-radius: size.$border-radius;
}
